MyGUI: MyGUI::IObject Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::IObject Class Reference

`#include <MyGUI_IObject.h>`

Inheritance diagram for MyGUI::IObject:
[legend]

## Public Types
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()

## Detailed Description

Definition at line 16 of file MyGUI_IObject.h.

## Member Typedef Documentation

## ◆ RTTIBase

typedef IObject MyGUI::IObject::RTTIBase

Definition at line 18 of file MyGUI_IObject.h.

## Constructor & Destructor Documentation

## ◆ IObject()

MyGUI::IObject::IObject | ( |  | ) |
| inline

Definition at line 21 of file MyGUI_IObject.h.

## ◆ ~IObject()

virtual MyGUI::IObject::~IObject | ( |  | ) |
| inlinevirtual

Definition at line 22 of file MyGUI_IObject.h.

## Member Function Documentation

## ◆ castType() [1/2]

template<typename Type >

Type* MyGUI::IObject::castType | ( | bool | _throw = `true` | ) |
| inline

Try to cast pointer to selected type.

Parameters

  _throw | If true throw exception when casting in wrong type, else return nullptr

Definition at line 18 of file MyGUI_IObject.h.

## ◆ castType() [2/2]

template<typename Type >

const Type* MyGUI::IObject::castType | ( | bool | _throw = `true` | ) | const
| inline

Try to cast pointer to selected type.

Parameters

  _throw | If true throw exception when casting in wrong type, else return nullptr

Definition at line 18 of file MyGUI_IObject.h.

## ◆ getClassTypeName()

static const std::string& MyGUI::IObject::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 18 of file MyGUI_IObject.h.

## ◆ getTypeName()

virtual const std::string& MyGUI::IObject::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented in MyGUI::EditTextStateInfo, MyGUI::RotatingSkinStateInfo, MyGUI::TileRectStateInfo, MyGUI::Widget, MyGUI::MultiListBox, MyGUI::MenuControl, MyGUI::TabControl, MyGUI::HScroll, MyGUI::ItemBox, MyGUI::ComboBox, MyGUI::ListBox, MyGUI::ResourceImageSet, MyGUI::Window, MyGUI::DDContainer, MyGUI::EditBox, MyGUI::ILayerNode, MyGUI::IResource, MyGUI::ControllerItem, MyGUI::EditText, MyGUI::ISubWidget, MyGUI::ControllerEdgeHide, MyGUI::ScrollBar, MyGUI::MenuItem, MyGUI::SubSkin, MyGUI::Canvas, MyGUI::ImageBox, MyGUI::LayerNode, MyGUI::ProgressBar, MyGUI::ResourceTrueTypeFont, MyGUI::ScrollView, MyGUI::TileRect, MyGUI::ControllerRepeatClick, MyGUI::ILayer, MyGUI::MultiListItem, MyGUI::ResourceSkin, MyGUI::Button, MyGUI::ControllerPosition, MyGUI::IFont, MyGUI::TabItem, MyGUI::SubSkinStateInfo, MyGUI::VScroll, MyGUI::MenuBar, MyGUI::PopupMenu, MyGUI::SimpleText, MyGUI::TextBox, MyGUI::ControllerFadeAlpha, MyGUI::ISerializable, MyGUI::ISubWidgetText, MyGUI::PolygonalSkin, MyGUI::ResourceLayout, MyGUI::RotatingSkin, MyGUI::SharedLayer, MyGUI::ISubWidgetRect, MyGUI::OverlappedLayer, MyGUI::ResourceImageSetPointer, MyGUI::ResourceManualFont, MyGUI::IPointer, MyGUI::IStateInfo, MyGUI::MainSkin, MyGUI::ResourceManualPointer, and MyGUI::SharedLayerNode.

Definition at line 18 of file MyGUI_IObject.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::IObject::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 18 of file MyGUI_IObject.h.

## ◆ isType() [2/2]

virtual bool MyGUI::IObject::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented in MyGUI::EditTextStateInfo, MyGUI::RotatingSkinStateInfo, MyGUI::TileRectStateInfo, MyGUI::Widget, MyGUI::MultiListBox, MyGUI::MenuControl, MyGUI::TabControl, MyGUI::HScroll, MyGUI::ItemBox, MyGUI::ComboBox, MyGUI::ListBox, MyGUI::ResourceImageSet, MyGUI::Window, MyGUI::DDContainer, MyGUI::EditBox, MyGUI::ILayerNode, MyGUI::IResource, MyGUI::ControllerItem, MyGUI::EditText, MyGUI::ISubWidget, MyGUI::ControllerEdgeHide, MyGUI::ScrollBar, MyGUI::MenuItem, MyGUI::SubSkin, MyGUI::Canvas, MyGUI::ImageBox, MyGUI::LayerNode, MyGUI::ProgressBar, MyGUI::ResourceTrueTypeFont, MyGUI::ScrollView, MyGUI::TileRect, MyGUI::ControllerRepeatClick, MyGUI::ILayer, MyGUI::MultiListItem, MyGUI::ResourceSkin, MyGUI::Button, MyGUI::ControllerPosition, MyGUI::IFont, MyGUI::TabItem, MyGUI::SubSkinStateInfo, MyGUI::VScroll, MyGUI::MenuBar, MyGUI::PopupMenu, MyGUI::SimpleText, MyGUI::TextBox, MyGUI::ControllerFadeAlpha, MyGUI::ISerializable, MyGUI::ISubWidgetText, MyGUI::PolygonalSkin, MyGUI::ResourceLayout, MyGUI::RotatingSkin, MyGUI::SharedLayer, MyGUI::ISubWidgetRect, MyGUI::OverlappedLayer, MyGUI::ResourceImageSetPointer, MyGUI::ResourceManualFont, MyGUI::IPointer, MyGUI::IStateInfo, MyGUI::MainSkin, MyGUI::ResourceManualPointer, and MyGUI::SharedLayerNode.

Definition at line 18 of file MyGUI_IObject.h.

The documentation for this class was generated from the following file:

- MyGUI_IObject.h